C****************************************************************
C* 								*
C*								*
C*	DIGITAL EQUIPMENT CORPORATION ASSUMES NO RESPONSIBILITY *
C*	EITHER FOR THE CREATION OR FOR THE CLINICAL EFFICACY	*
C*	OF THIS PROGRAM. USERS MUST ASSUME FULL RESPONSIBILITY	*
C*	FOR ANY RESULTS OR DIAGNOSES OBTAINED FROM THE USE	*
C*	OF THIS PROGRAM. QUESTIONS ON THE EXECUTION OF THIS	*
C*	PROGRAM MUST BE REFERRED BACK TO THE ORIGINAL AUTHOR.	*
C*								*
C* AUTHOR:	SALLY FORSTER					*
C*		C/O DEPARTMENT OF NUCLEAR MEDICINE		*
C*		GUY'S HOSPITAL				*
C*		LONDON, ENGLAND					*
C*								*
C*		TEL: 01-407-7600 EXT 2583/4			*
C*								*
C****************************************************************
	FUNCTION DISPAR(IP)
C*****DISPLAYS UPTO 10 STORAGE PARAMETERVALUES AND LABELS.
	IMPLICIT LOGICAL*1(A)
	IMPLICIT INTEGER*2(D-Z)
	COMMON//SAVDES(256),CURVE1(512),ALT(10)
	COMMON/INPARA/CPAR(10)
	COMMON/CH/F(4),CSR(20),AL(10,20)
	DISPAR=0
	DO 5 I=1,5
5	CALL CLEAXY(20+I,0,56)
	IF(IP.GT.8)IP=8
	DO 40 I=1,IP
	K=-CPAR(I)
	IF(K.LT.0)GOTO 50
	J=I
	L=0
	IF(I.LE.4)GOTO 10
	J=I-4
	L=28
10	CALL CHSET(L,20+J)
	IF(K.GT.10)GOTO 20
	CALL WRITEL('P',1)
	CALL WRITEL(K-1+"60,1)
	GOTO 30
20	CALL WRITEL('R',1)
	CALL WRITEL((K-11)+"60,1)
30	CALL CHSET(3+L,20+J)
	CALL WRITEL(AL(1,K),10)
	CRP=CSR(K)
	IF(CRP.GE.0)GOTO 35
	CRP=CRP*-1
	CALL CHSET(14+L,20+J)
	CALL WRITEL('-',1)
35	IF(CRP.LT.100)GOTO 38
	CALL DISNO(CRP,15+L,20+J)
	GOTO 40
38	CR=FLOAT(INT(CRP+0.05))
	IR=INT((CRP+.05-CR)*10)+"60
	CALL DISNO(CR,15+L,20+J)
	CALL WRITEL('.',1)
	CALL WRITEL(IR,1)
40	CONTINUE
	RETURN
50	DISPAR=-1
	RETURN
	END
